evmctl-1.1-47.5.x86_64.rpm


Advertisement

Description

evmctl - IMA/EVM signing utility

Property Value
Distribution openSUSE Tumbleweed
Repository Security all
Package filename evmctl-1.1-47.5.x86_64.rpm
Package name evmctl
Package version 1.1
Package release 47.5
Package architecture x86_64
Package type rpm
Category System/Kernel
Homepage http://sourceforge.net/projects/linux-ima/
License LGPL-2.1-or-later
Maintainer -
Download size 30.43 KB
Installed size 53.41 KB
The evmctl utility can be used for producing and verifying digital signatures,
which are used by Linux kernel integrity subsystem (IMA/EVM). It can be also
used to import keys into the kernel keyring.

Alternatives

Package Version Architecture Repository
evmctl-1.1-47.5.i586.rpm 1.1 i586 Security
evmctl-1.1-2.2.x86_64.rpm 1.1 x86_64 openSUSE Oss
evmctl-1.1-2.2.i586.rpm 1.1 i586 openSUSE Oss
evmctl - - -

Requires

Name Value
libc.so.6(GLIBC_2.7)(64bit) -
libcrypto.so.1.1()(64bit) -
libcrypto.so.1.1(OPENSSL_1_1_0)(64bit) -
libimaevm.so.0()(64bit) -
libkeyutils.so.1()(64bit) -
libkeyutils.so.1(KEYUTILS_0.3)(64bit) -

Provides

Name Value
evmctl = 1.1-47.5
evmctl(x86-64) = 1.1-47.5
ima-evm-utils = 1.1

Obsoletes

Name Value
ima-evm-utils < 1.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package evmctl-1.1-47.5.x86_64.rpm
Source Package ima-evm-utils-1.1-47.5.src.rpm

Install Howto

  1. Add the Security repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/security/openSUSE_Tumbleweed/ security
  2. Install evmctl rpm package:
    # zypper install evmctl

Files

Path
/usr/bin/evmctl
/usr/share/man/man1/evmctl.1.gz

Changelog

2018-09-12 - meissner@suse.com
- ima-evm-utils-xattr.patch: xattr.h is now libattr.h
2018-03-16 - pvorel@suse.cz
- Update to version 1.1
* Support the new openssl 1.1 api
* Support for validating multiple pcrs
* Verify the measurement list signature based on the list digest
* Verify the "ima-sig" measurement list using multiple keys
* Fixed parsing the measurement template data field length
* Portable & immutable EVM signatures (new format)
* Multiple fixes that have been lingering in the next branch. Some
are for experimental features that are not yet supported in the
kernel.
- Drop ima-evm-utils-openssl1.patch (not needed any more as IMA got
backward compatible support for openssl 1.1).
2017-11-21 - mpluskal@suse.com
- Small spec file cleanup with spec-cleaner
2017-11-08 - meissner@suse.com
- ima-evm-utils-openssl1.patch: allow building against openssl 1.1 (bsc#1066947)
2017-10-23 - matthias.gerstner@suse.com
- added openssl-devel dependency to ima-evm-utils-devel. otherwise the ima
header can't be included if the openssl headers are missing
2017-10-14 - jengelh@inai.de
- No need to remove .a files which don't exist.
- Drop extraneous ldconfig call on preun.
- Update RPM groups and descriptions.
2017-10-13 - matthias.gerstner@suse.com
- ima-evm-utils-fix-docbook-xsl-directory.patch: adjusted to refer to the
"current" version of stylesheet to make the build work again
- adjusted spec file to apply stylesheet patch to SLE12 as well
2017-05-08 - meissner@suse.com
- Add ima-evm-utils to SLES. (FATE#321603)
2016-01-19 - meissner@suse.com
- ima-evm-utils-fix-docbook-xsl-directory.patch:
fixed the nwalsh docbook directory again
2015-12-02 - p.drouand@gmail.com
- Update to version 1.0
* Recursive hashing
* Immutable EVM signatures (experimental)
* Command 'ima_clear' to remove xattrs
* Support for passing password to the library
* Support for asking password safely from the user

See Also

Package Description
fail2ban-0.10.4-104.4.noarch.rpm Bans IP addresses that make too many authentication failures
fipscheck-1.5.0-37.23.i586.rpm A library for integrity verification of FIPS validated modules
fipscheck-1.5.0-37.23.x86_64.rpm A library for integrity verification of FIPS validated modules
fipscheck-devel-1.5.0-37.23.i586.rpm Development files for fipscheck
fipscheck-devel-1.5.0-37.23.x86_64.rpm Development files for fipscheck
firewalld-rpcbind-helper-0.2-10.3.noarch.rpm Tool for static port assignment of NFSv3, ypserv, ypbind services
fwbuilder-5.3.7-58.5.i586.rpm Firewall Builder
fwbuilder-5.3.7-58.5.x86_64.rpm Firewall Builder
google-authenticator-libpam-1.03-11.24.i586.rpm Google Authenticator PAM module
google-authenticator-libpam-1.03-11.24.x86_64.rpm Google Authenticator PAM module
google-authenticator-libpam-32bit-1.03-11.24.x86_64.rpm Google Authenticator PAM module
gufw-16.04.0-19.18.noarch.rpm Uncomplicated Firewall
gufw-lang-16.04.0-19.18.noarch.rpm Translations for package gufw
haas-proxy-1.9-7.6.noarch.rpm Man in the middle proxy for honeypot as a service
hardening-check-2.6-9.10.i586.rpm A tool for inspecting low-level hardening characteristics of ELF binaries
Advertisement
Advertisement